<!DOCTYPE html>
<!--template for login page taken from https://realpython.com/introduction-to-flask-part-2-creating-a-login-page/-->
    <html>
  <head>
    <title>Login</title>
  </head>
  <body>
    <div class="container">
      <h1>Please login</h1>
      <br>
      <form action="" method="post">
        {{ form.csrf_token }}
        <input type="text" name="username" id="un" value="{{ request.form.username }}">
         <input type="password" name="password" id="pw" value="{{ request.form.password }}">
        <input type="submit" value="Login">
        <button type="button" id="registerBtn">Register</button>
        <input type="hidden" value="{{ next or '' }}" name="next">
        <p id="w"><br></p>
      </form>
    </div>
  </body>
</html>
    <script>
        registerBtn.addEventListener('click', () => register(document.getElementById("un").value, document.getElementById("pw").value));
        var register = async (username, password) => {
        const q = `/register?username=${encodeURIComponent(username)}&password=${encodeURIComponent(password)}`;
        res = await fetch(q, { method: 'post' });
        w.innerHTML = await res.text();
    };
    function submitfunc(){
        w.innerHTML = "you inputted something wrong"
    }
    </script>
</body>
